List contacts
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Contact Lists
List contacts
Retrieve contacts within a contact list with pagination
GET
/
contact-lists
/
{listId}
/
contacts
List contacts
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns the contacts inside a contact list. When query parameters are omitted, returns the full contact list.
Path parameters
string
required
The unique UUID of the contact list.
Query parameters
integer
default:"1"
1-based page number.
integer
default:"25"
Number of contacts per page (maximum 200).
curl -X GET "https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts?page=1&limit=25" \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
import requests
response = requests.get(
"https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts",
headers={"Authorization": f"Bearer {API_KEY}"},
params={"page": 1, "limit": 25},
)
print(response.json())
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts?page=1&limit=25",
{
method: "GET",
headers: { Authorization: `Bearer ${API_KEY}` },
},
);
const data = await response.json();
console.log(data);
Response
{
"data": [
{
"id": "99999999-8888-7777-6666-555555555555",
"tenantId": "990e8400-e29b-41d4-a716-446655440000",
"contactListId": "33333333-3333-3333-3333-333333333333",
"phoneNumber": "+919876543210",
"name": "Asha Patel",
"email": "[email protected]",
"metadata": {
"plan": "Enterprise"
},
"createdAt": "2026-06-01T09:10:00.000Z",
"updatedAt": "2026-06-01T09:10:00.000Z"
}
],
"total": 1,
"page": 1,
"limit": 25
}

